Skip to main content
GET
/
api
/
agents
/
{agentId}
Get agent
curl --request GET \
  --url https://api.upon-ai.com/api/agents/{agentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.upon-ai.com/api/agents/{agentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.upon-ai.com/api/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": "<string>",
  "version": 123,
  "agent_name": "<string>",
  "voice_id": "<string>",
  "response_engine": {
    "type": "<string>",
    "llm_id": "<string>"
  },
  "response_threshold": 123,
  "interruption_sensitivity": "<string>",
  "ambient_sound": "<string>",
  "responsiveness": "<string>",
  "max_call_duration_ms": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

agentId
string
required

Agent identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

version
integer

Specific version to retrieve or update.

Required range: x >= 1

Response

200 - application/json

Agent configuration.

agent_id
string
required
version
integer
required
agent_name
string
voice_id
string
response_engine
object
response_threshold
number | null
interruption_sensitivity
string | null
ambient_sound
string | null
responsiveness
string | null
max_call_duration_ms
integer | null
created_at
string<date-time> | null
updated_at
string<date-time> | null